aboutsummaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorMarcoFalke <*~=`'#}+{/-|&$^_@721217.xyz>2023-05-24 14:52:11 +0200
committerMarcoFalke <*~=`'#}+{/-|&$^_@721217.xyz>2023-05-29 09:16:10 +0200
commitfa7a87bc7c3468024c6aa05cda23c575b1cf707a (patch)
tree6542485143308b46db792bc05e2c29c52b720e54 /ci
parent7d33ae755de2bff806fe600bdaebedbd7fa67aba (diff)
downloadbitcoin-fa7a87bc7c3468024c6aa05cda23c575b1cf707a.tar.xz
ci: Add missing set -e to 01_base_install.sh
Also, set -x for easier debugging. Also, do the same for ci/test/00_setup_env.sh
Diffstat (limited to 'ci')
-rwxr-xr-xci/test/00_setup_env.sh2
-rwxr-xr-xci/test/01_base_install.sh2
2 files changed, 4 insertions, 0 deletions
diff --git a/ci/test/00_setup_env.sh b/ci/test/00_setup_env.sh
index d98f05ca6b..532c8280ba 100755
--- a/ci/test/00_setup_env.sh
+++ b/ci/test/00_setup_env.sh
@@ -6,6 +6,8 @@
export LC_ALL=C.UTF-8
+set -ex
+
# The root dir.
# The ci system copies this folder.
BASE_ROOT_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../../ >/dev/null 2>&1 && pwd )
diff --git a/ci/test/01_base_install.sh b/ci/test/01_base_install.sh
index beb5aa9242..98f96f0ece 100755
--- a/ci/test/01_base_install.sh
+++ b/ci/test/01_base_install.sh
@@ -6,6 +6,8 @@
export LC_ALL=C.UTF-8
+set -ex
+
CFG_DONE="ci.base-install-done" # Use a global git setting to remember whether this script ran to avoid running it twice
if [ "$(git config --global ${CFG_DONE})" == "true" ]; then